% logical_indexing_demo is a simple example to show logical indexing.
% This script is part of the Matlab course for PhD Students 2010-2011:
% http://www.sinnesphysiologie.uni-oldenburg.de/50246.html
% written by Jutta Kretzberg, 23.01.2011


%% Generate a matrix
a=[8 9 -5; 0 -1 -10; 9 -9 0]

%% extract positive values with logical indexing:
b=a>0               % generate a logical matrix with 1 for elements >0
c=a(b)              % generate a vector of positive elements of a

% Of course, the same result could be obtained without using a new
% variable:
d=a(a>0)            % d==c

%% alternative solution using find:
ind=find(a>0)       % vector of indices of positive elements of a
f=a(ind)            % apply indices to a to extract a vector of positive elements