function [out1,varargout]=vararginout_funct(in1,varargin)
% function [out1,varargout]=vararginout_funct(in1,varargin)
% to show the use of optional input and output arguments

%% Test and display the number of input and output arguments
sprintf('number of inputs: %g', nargin)
sprintf('number of outputs: %g', nargout)

%% Assing value to required output argument
out1=in1;

%% Assign values to the optional output arguments, depending on the number
%% of optional input arguments
if nargin>=nargout          %if you have at least as many input as output arguments
    for n=1:nargout-1       %assign the inputs to the coresponding output arguments 
        varargout{n}=varargin{n};
    end
else                        %otherwise
    warning('first input argument will be assigned to all outputs')
    for n=1:nargout-1       %assign the first, mandatory input to all output arguments 
        varargout{n}=in1;
    end
end